{% extends 'empresa/empresa_list.html' %}

{% block title %} {{ titulo }} {% endblock title %}


{% block content %}



<div class="content-wrapper">

    <!-- Content Header (Page header) -->
    <section class="content-header">
      
    {% if get_messages(request) %}
        {% for message in get_messages(request) %}
            <div class="alert alert-{{ message.tags }} alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                {% if message.tags == 'error' %}
                    <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                {% elif message.tags == 'warning' %}
                    <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                {% elif message.tags == 'success' %}
                    <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                {% elif message.tags == 'info' %}
                    <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                {% endif %}
                {{ message }}
            </div>
        {% endfor %}
    {% endif %}
      
      
      <h1>
       GDC | SDLC
        <small>{{ sub_titulo }} {{ nro_expediente }}</small>
      </h1>
    </section>

    
    <!-- Main content -->
    <section class="invoice">
      <!-- title row -->
      <div class="row">

          <div class="col-md-12">
              <!-- Custom Tabs (Pulled to the right) -->
              <div class="nav-tabs-custom">
                <ul class="nav nav-tabs pull-right">
                  <li class="active"><a href="#expediente" data-toggle="tab">Expediente</a></li>
                  <li><a href="#inscripcion" data-toggle="tab">
                      <i class="fa fa-file-o"></i>&nbsp;
                    Inscripción única</a></li>
                  <li><a href="#licencias" data-toggle="tab">
                      <i class="fa fa-file-o"></i>&nbsp;
                    Licencias</a></li>
                  <li><a href="#renovaciones" data-toggle="tab">
                      <i class="fa fa-refresh"></i>&nbsp;
                    Renovaciones</a></li>
                  <li><a href="#agencia" data-toggle="tab">
                      <i class="fa fa-bank"></i>&nbsp;
                    Centros de Apuesta</a>
                  </li>
                  <li><a href="#contribuciones_semanales" data-toggle="tab">
                      <i class="fa fa-money"></i>&nbsp;
                    Contribuciones</a>
                  </li>

                  <li class="pull-left header">
                    <div class="col-xs-12">
                          <i class="fa fa-bank"></i> {{ empresa.razon_social.upper() }} | {{ empresa.nombre_comercial.upper() }}                       </div>
                  </li>
                </ul>
                <div class="tab-content">
                  <div class="tab-pane active" id="expediente">
        
                          <!-- info row -->
                      <div class="row invoice-info">
                          <div class="col-sm-4 invoice-col">
                            <b>Contacto</b>
                            <address>
                              <b>Dirección:</b> {{ empresa.domicilio_fiscal }}<br>
                              <b>Telefono:</b> {{ empresa.telefono }}<br>
                              <b>Telefono 2:</b> {{ empresa.otro_telefono }}<br>
                              <b>Email:</b> {{ empresa.email }} <br>
                              <b>Email 2:</b> {{empresa.segundo_email}} <br>
                              <b>Zona - Código postal:</b> {{ empresa.zona_postal }} - {{ empresa.codigo_postal }}
                            </address>
                          </div>
                          <!-- /.col -->
                          <div class="col-sm-4 invoice-col">
                            <b>Documentación</b>
                            <address>
                              <b>RIF:</b> {{ empresa.nro_rif }} <br>
                              <b>Registro Mercantil:</b> {{ empresa.nro_registro_mercantil }}<br>
                              
                              <b>Software:</b>
                              <ul class="sidebar-menu">
                              {% for soft in empresa.software.all() %}
                                <li>{{ soft.software }}</li>
                              {% endfor %}
                              </ul>
                            </address>
                          </div>
                          <!-- /.col -->
                          <div class="col-sm-4 invoice-col">
                            <b>Fecha de Inscripción: </b>{{ empresa.fecha_registro.strftime('%d de %B de %Y') }}<br>
                            <b>Propietarios - Representantes</b><br><br>
                            
                            <b>Nombre(s):</b>
                            {% for duennio in empresa.representante_legal.all() %}
                            {% if not loop.last %}
                            <a title="Detalles de {{ duennio.short_name }}"  onclick="">
                              {{ duennio.persona.get_short_name }}
                            </a>, 
                            {% else %}
                            <a title="Detalles de {{ duennio.short_name }}"  onclick="">
                              {{ duennio.persona.get_short_name }}
                            </a>.
                            {% endif %}
                            <!--  -->
                              {% endfor %}
                            <hr>
                            
                            
                          </div>
                          <!-- /.col -->
                        </div>
                        <!-- /.row -->
                  
                        <!-- Table row -->
                        <div class="row">
                          <div class="col-xs-12 table-responsive">
                            <table class="table table-striped">
                              <thead>
                              <tr>
                                <th>Producto</th>
                                <th class="text-right">Cantidad</th>
                              </tr>
                              </thead>
                              <tbody>
                                <tr>
                                  <td>Inscripciones SDLC </td>
                                  <td class="text-right"></td>
                                </tr>
                                <tr>
                                  <td>Licencias SDLC</td>
                                  <td class="text-right"></td>
                                </tr>
                                <tr>
                                  <td>Centros de Apuesta</td>
                                  <td class="text-right"></td>
                                </tr>
                                <tr>
                                  <td>Contribuciones SDLC</td>
                                  <td class="text-right"></td>
                                </tr>
                              </tbody>
                            </table>
                          </div>
                          <!-- /.col -->
                        </div>
                        <!-- /.row -->
                  
                        <div class="row">
                          <!-- accepted payments column -->
                          <div class="col-xs-6">
                            <p class="lead">Métodos de Pago:</p>
                            <img src="/static/dist/img/credit/visa.png" alt="Visa">
                            <img src="/static/dist/img/credit/mastercard.png" alt="Mastercard">
                            <img src="/static/dist/img/credit/american-express.png" alt="American Express">
                            <img src="/static/dist/img/credit/paypal2.png" alt="Paypal">
                  
                            <p class="text-muted well well-sm no-shadow" style="margin-top: 10px;">
                              Métodos de Pago SDLC.
                            </p>
                          </div>
                          <!-- /.col -->
                          <div class="col-xs-6">
                            <p class="lead">Últimos Pagos Realizados</p>
                  
                            <div class="table-responsive">
                              <table class="table">
                                <thead>
                                  <tr>
                                    <th>Concepto</th>
                                    <th class="text-center">Fecha pago</th>
                                    <th class="text-right">Monto Bs/Bs.S</th>
                                  </tr>
                                </thead>
                                <tbody>

                                  
                                  <tr>
                                    <td>
                                      
                                    </td>
                                    <td class="text-center">
                                      
                                    </td>
                                    <td class="text-right">
                                     
                                    </td>

                                  </tr>
                                  

                                </tbody>
                                <tfoot>
                                  <tr>
                                    <th>Total Bs/Bs.S</th>
                                    <td class="text-right" colspan="2">
                                      
                                    
                                  </td>
                                  </tr>
                                </tfoot>
                              </table>
                            </div>
                          </div>
                          <!-- /.col -->
                        </div>
                        <!-- /.row -->
                  
                        <!-- this row will not appear when printing -->
                        <div class="row no-print">
                          <div class="col-xs-12">
                            <a href="" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Imprimir</a>
                            
                            <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
                              <i class="fa fa-download"></i> Generar un PDF
                            </button>
                          </div>
                        </div>

                  </div>
                  <!-- /.tab-pane -->
                  {% include 'empresa/EXPEDIENTE/inscripciones_unicas.html' %}
                  <!-- /.tab-pane -->
                  {% include 'empresa/EXPEDIENTE/licencias.html' %}
                  <!-- /.tab-pane -->
                  {% include 'empresa/EXPEDIENTE/renovaciones.html' %}
                  <!-- /.tab-pane -->
                  {% include 'empresa/EXPEDIENTE/centro_apuesta.html' %}
                  <!-- /.tab-pane -->
                  {% include 'empresa/EXPEDIENTE/contribuciones.html' %}
                  <!-- /.tab-pane -->

                </div>
                <!-- /.tab-content -->
              </div>
              <!-- nav-tabs-custom -->
            </div>


        <!-- /.col -->
      </div>

    </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}

{% block javascripts %}
    {{ super() }}

    
    <!-- page script -->
    <script>
        function abrir_modal(url) {
            $('#popup').load(url, function () {
                $(this).modal('show');
            });
            return false;
        }
 
        $(document).ready(function() {
            var table = $('#example').DataTable({
                lengthChange: true,
                columnDefs: [
                    { "targets": 3, "orderable": false },
                    { "targets": [3], "searchable": false },
                ],
                language: {
                    lengthMenu: "Mostrar _MENU_ registros por página",
                    zeroRecords: "Lo sentimos, no encontramos nada",
                    info: "Mostrando la página _PAGE_ de _PAGES_",
                    infoEmpty: "Sin registros disponibles",
                    infoFiltered: "(Filtrados de untotal de _MAX_ registros)",
                    search: "Buscar: ",
                    paginate: {
                        first: "Primero",
                        last: "Último",
                        next: "Siguiente",
                        previous: "Previo"
                    },
                    buttons: {
                        copy: "Copiar"
                    },
                    decimal: "-",
                    thousands: "."
                },
                buttons: ['copy', 'csv', 'pdf']
            });

            table.buttons().container()
                .appendTo('#example_wrapper .col-sm-6:eq(0)');


        });
        
    </script>

{% endblock javascripts %}